#ifndef _CompTool_h
#define _CompTool_h

#include "Tool.h"



class CompTool : public Tool 
{
public:
		// Composite role
	virtual CompTool* asCompTool();
	
		// Handler role
	virtual void handleRequest(Request* req);
	
		// Subject role
	virtual void update(Tool* tool, Event* event);
	
		// ctor, dtor, meta
	CompTool();
	virtual ~CompTool();

};

#endif
