#ifndef _Tool_h
#define _Tool_h

#include "Standard.h"

class CompTool;



class Tool
{
public:
		// Component role
	virtual CompTool* getParent();
	virtual void setParent(CompTool* newParent);
	virtual CompTool* asCompTool();
		
		// Handler role
	virtual CompTool* getSuccessor();
	virtual void forwardRequest(Request* request);
	
		// Subject role
	virtual CompTool* getObserver();
	virtual void notify(Event* event);

		// ctor, dtor, meta
	Tool();
	virtual ~Tool();

protected:
	CompTool* parent;

};



#endif
